{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
<div class="row">
   <div class="col-6 offset-3">
        {% for flashError in app.flashes('verify_email_error') %}
            <div class="alert alert-danger" role="alert">{{ flashError }}</div>
        {% endfor %}

        {{ form_start(registrationForm) }}
            <div class="card">
                <div class="card-body bg-light">
                    <h1 class="h3 mb-3 font-weight-normal text-center">Register</h1>
                    {{ form_row(registrationForm.username) }}
                    {{ form_row(registrationForm.plainPassword, {
                    label: 'Password'
                    }) }}
                    {{ form_row(registrationForm.agreeTerms) }}

                    <button type="submit" class="btn btn-lg btn-primary btn-block">Register</button>
                </div>
            </div>
        {{ form_end(registrationForm) }}
    </div>
</div>
{% endblock %}
